/* dqdef.h - disk quota definitions	*/

/* created from sys$library:lib.mlb by jrv 15-dec-1989 	*/

#define	DQF$M_ACTIVE	1
#define	DQF$K_LENGTH	32
#define	DQF$C_LENGTH	32
#define	DQF$S_DQFDEF	32

#define	DQF$L_FLAGS	0
#define	DQF$V_ACTIVE	0
#define	DQF$L_UIC	4
#define	DQF$L_USAGE	8
#define	DQF$L_PERMQUOTA	12
#define	DQF$L_OVERDRAFT	16

/* DQF structure definition --- added jrv 29-mar-1990 */
/* quota.sys is 32 byte fixed record or use ACP-QIO   */

struct DQF {
#pragma nostandard
	variant_union {
	   unsigned long dqf$l_flags;	/* flags			*/
	   variant_struct {
		unsigned dqf$v_active : 1; /* quota enoforcement active	*/
		unsigned dqf$$_fill   : 31;/* unused			*/
	   } dqf$r_dqfdef_bits;
	} dqf$r_flags_overlay;
#pragma standard
	unsigned long dqf$l_uic;	/* user identification code	*/
	unsigned long dqf$l_usage;	/* current usage		*/
	unsigned long dqf$l_permquota;	/* permanent quota		*/
	unsigned long dqf$l_overdraft;	/* overdraft limit		*/
	unsigned long dqf$l_fill[3];	/* reserved for future use	*/
};	/* end DQF */
